/* -*- mode: C++; tab-width: 8; c-basic-offset: 8; c-file-offsets: ((substatement-open . 0)) -*- */

#include <iostream>

#include "xmltio.hpp"

using namespace std;

namespace xmltio {
bool check_xmltio_version(const int major, const int minor, const int abi)
{
	if(abi != XMLTIO_ABI_VERSION) {
		cerr << "Built against version "
		     << major << '.' << minor << " (ABI " << abi
		     << ") but runtime version is "
		     << XMLTIO_MAJOR << '.' << XMLTIO_MINOR
		     << " (ABI " << XMLTIO_ABI_VERSION << ')'
		     << endl;
		return 0;
	} else {
		return 1;
	}
}
}
